AbortException
Date: 2016-02-29

de.zib.scalaris

## Class AbortException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ericsson.otp.erlang.OtpException
      - - com.ericsson.otp.erlang.OtpErlangException
        - - de.zib.scalaris.AbortException

- All Implemented Interfaces:
    Serializable

      public class AbortException
      extends OtpErlangException

  Exception that is thrown if a the commit of a transaction on a scalaris ring fails.
  Since:
    2.5
  Version:
    3.12
  Author:
    Nico Kruber, kruber@zib.de
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbortException()` Deprecated. abort failures always come with a list of responsible keys, use `AbortException(List)` instead
    `AbortException(List<String> responsibleKeys)` Creates an exception including the message of the given erlang object.
    `AbortException(String msg)` Deprecated. abort failures always come with a list of responsible keys, use `AbortException(String, List)` instead
    `AbortException(String msg, List<String> responsibleKeys)` Creates the exception with the given message.
    `AbortException(Throwable e)` Deprecated. abort failures always come with a list of responsible keys, use `AbortException(Throwable, List)` instead
    `AbortException(Throwable e, List<String> responsibleKeys)` Creates an exception taking the message of the given throwable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getFailedKeys()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbortException

          @Deprecated
          public AbortException()

      Deprecated. abort failures always come with a list of responsible keys, use `AbortException(List)` instead
      Creates the exception with no message.

    - #### AbortException

          @Deprecated
          public AbortException(String msg)

      Deprecated. abort failures always come with a list of responsible keys, use `AbortException(String, List)` instead
      Creates the exception with the given message.
      Parameters:
        `msg` - message of the exception

    - #### AbortException

          @Deprecated
          public AbortException(Throwable e)

      Deprecated. abort failures always come with a list of responsible keys, use `AbortException(Throwable, List)` instead
      Creates an exception taking the message of the given throwable.
      Parameters:
        `e` - the exception to "re-throw"

    - #### AbortException

          public AbortException(List<String> responsibleKeys)

      Creates an exception including the message of the given erlang object.
      Parameters:
        `responsibleKeys` - list of keys responsible for the abort
      Since:
        3.12

    - #### AbortException

          public AbortException(String msg,
                        List<String> responsibleKeys)

      Creates the exception with the given message.
      Parameters:
        `msg` - message of the exception
        `responsibleKeys` - list of keys responsible for the abort
      Since:
        3.12

    - #### AbortException

          public AbortException(Throwable e,
                        List<String> responsibleKeys)

      Creates an exception taking the message of the given throwable.
      Parameters:
        `e` - the exception to "re-throw"
        `responsibleKeys` - list of keys responsible for the abort
      Since:
        3.12

  - ### Method Detail

    - #### getFailedKeys

          public List<String> getFailedKeys()

      Returns:
        the responsibleKeys